#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:		neochat
Version:	1.0.1
%define subrel	1
Release:	%mkrel 2
Summary:	Client for matrix, the decentralized communication protocol
Group:		Graphical desktop/KDE
License:	GPLv2 and GPLv2+ and GPLv3 and GPLv3+ and BSD
URL:		https://invent.kde.org/network/neochat
Source0:	https://download.kde.org/stable/neochat/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	kf5-macros

BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Keychain)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Multimedia)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5QuickControls2)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Xml)

BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Kirigami2)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5DBusAddons)

BuildRequires:	cmake(Olm)
BuildRequires:	cmake(QtOlm)
BuildRequires:	cmake(Quotient)
BuildRequires:	cmake(KQuickImageEditor)
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	cmark >= 0.30.3-1.2

BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	kitemmodels

Requires:	kirigami2
Requires:	kitemmodels
Requires:	kquickimageeditor
Requires:	qtquickcontrols2

%description
Neochat is a client for Matrix, the decentralized communication protocol for
instant messaging. It is a fork of Spectral, using KDE frameworks, most
notably Kirigami, KConfig and KI18n.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/*.desktop
%{_kf5_iconsdir}/hicolor/*/apps/*
%{_kf5_metainfodir}/*.appdata.xml
%{_kf5_knotificationsdir}/%{name}.notifyrc

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun May 21 2023 daviddavid <daviddavid> 1.0.1-2.1.mga8
+ Revision: 1957642
- rebuild for new cmark 0.30.3 (mga#31945)

* Thu Jan 14 2021 daviddavid <daviddavid> 1.0.1-2.mga8
+ Revision: 1671734
- add missing runtime depencency on kitemmodels

* Thu Jan 14 2021 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1671733
- initial package neochat

